%define upstream_name HTML_QuickForm_DHTMLRulesTableless
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.3.3
Release:     	%mkrel 1
Summary:    	DHTML replacement for the standard JavaScript alert window for client-side validation using the tableless renderer
License: 	New BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/HTML_QuickForm_DHTMLRulesTableless-%{version}.tgz
URL: 		http://pear.php.net/package/HTML_QuickForm_DHTMLRulesTableless
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear-HTML_QuickForm_Renderer_Tableless >= 0.4.0
Requires:	php-pear >= 1.5.0
BuildArch: 	noarch

%description
This is a DHTML replacement for the standard JavaScript alert window for
  client-side validation of forms built with HTML_QuickForm when using the
  HTML_QuickForm_Renderer_Tableless renderer.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTML_QuickForm_DHTMLRulesTableless.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTML_QuickForm_DHTMLRulesTableless.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTML_QuickForm_DHTMLRulesTableless
fi

%files
%defattr(-,root,root)
%doc docs/HTML_QuickForm_DHTMLRulesTableless/*
%{peardir}/*
%{xmldir}/HTML_QuickForm_DHTMLRulesTableless.xml


%changelog

* Tue Mar 06 2012 spuhler <spuhler> 0.3.3-1.mga2
+ Revision: 219512
- upgrade to 0.3.3
  pearized spec

* Sat Feb 05 2011 spuhler <spuhler> 0.3.2-6.mga1
+ Revision: 47465
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-HTML_QuickForm_DHTMLRulesTableless

